import { Pipe, PipeTransform } from '@angular/core';
import { VatDtoToVatValuePipe } from './vat-dto-to-vat-value.pipe';
import { VATDTO } from '@swagger/oms';

@Pipe({
  name: 'vatTypeToDisplayName',
})
export class VatTypeToDisplayNamePipe implements PipeTransform {
  constructor() {}

  transform(vatType: number, vatOptions: VATDTO[]) {
    const match = vatOptions && vatOptions.find((vat) => vat.vatType === vatType);
    if (match) {
      return new VatDtoToVatValuePipe().transform(match);
    }
  }
}
